package leases

import "net/netip"

type Server struct {
	Addr            netip.Addr
	HardwareAddress HardwareAddress
	Network         *Network
}

type Network struct {
	Mask      netip.Addr
	Gateway   netip.Addr
	Broadcast netip.Addr
	Domain    string
	DNS       []netip.Addr
}
